Subject: bug#43873: closed (Re: [bug#43873] [PATCH 0/3] gnu: Add rust-dialoguer.)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 11 Oct 2020 11:00:02 +0000

Your bug report

#43873: [PATCH 0/3] gnu: Add rust-dialoguer.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
43873: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=43873
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#43873] [PATCH 0/3] gnu: Add rust-dialoguer.
From: Efraim Flashner <[email-masked]>
To: André Batista <[email-masked]>
Cc: [email-masked]
Date: Sun, 11 Oct 2020 13:58:34 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

On Thu, Oct 08, 2020 at 07:45:45PM -0300, André Batista wrote:
> Hello,
> 
> This patch series adds rust-dialoguer-0.3 which is a dependency for
> wasm-pack. Unfortunately, one test is failing for this version and
> I couldn't figure how to disable it without the hammer. Attached are
> the logs for the test failures. It is missing a trait implementation
> before usage, but src/prompts.rs appears to implement it. Maybe it
> is the default impl that is lacking.
> 
> ----
> 
> For more information about this error, try `rustc --explain E0277`.
> Couldn't compile the test.
> 
> failures:
>     src/prompts.rs - prompts::Input (line 35)
> 
> test result: FAILED. 3 passed; 1 failed; 0 ignored; 0 measured; 0 filtered out
> 
> error: test failed, to rerun pass '--doc'
> command "cargo" "test" "--release" failed with status 101
> 
> ----

I'm not sure how you managed to build it, when I tried I got an error
about [email-masked] having the wrong inputs. Luckily it was
looking for <1.0.0 so I put in 0.11 and that one was more happy.

Looking at the .travis.yml it looks like they only test with the --lib
flag, so I removed skip-build and added cargo-test-flags '("--lib").

I was able to build rust-tempfile-2 without any problems, so I took out
the skip-build option.

Patches pushed! Thanks.

-- 
Efraim Flashner   <[email-masked]>   אפרים פלשנר
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted

Subject: [PATCH 0/3] gnu: Add rust-dialoguer.
From: André Batista <[email-masked]>
To: [email-masked]
Date: Thu, 8 Oct 2020 19:45:45 -0300
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

This patch series adds rust-dialoguer-0.3 which is a dependency for
wasm-pack. Unfortunately, one test is failing for this version and
I couldn't figure how to disable it without the hammer. Attached are
the logs for the test failures. It is missing a trait implementation
before usage, but src/prompts.rs appears to implement it. Maybe it
is the default impl that is lacking.

----

For more information about this error, try `rustc --explain E0277`.
Couldn't compile the test.

failures:
    src/prompts.rs - prompts::Input (line 35)

test result: FAILED. 3 passed; 1 failed; 0 ignored; 0 measured; 0 filtered out

error: test failed, to rerun pass '--doc'
command "cargo" "test" "--release" failed with status 101

----